<?php session_start();?>
<?php require_once('open_connection.php');?>
<!--link href='blue/style.css' rel='stylesheet' type='text/css' /-->
<link href='css/imagetable.css' rel='stylesheet' type='text/css' />
<!DOCTYPE html>
<html>
<head>
      <title>PICCSB e-Directory System</title>

</head>
<body bgcolor="#333333"> 
<table width="100%" border="0" align="center">
<tr>
<td width="15%" bgcolor="#333333">&nbsp;</td>
<td width="70%" align="center" bgcolor="#FFFFFF" > 

<table width="100%" border="0" align="center">

<!-- row for header picc 1 -->
<tr>  
     <th width="100%" colspan="4"><img src="images/header-cox.jpg" width="100%" height="30%"></th>
</tr>

<!-- row for header picc 2 -->
<tr>
     <th width="100%" colspan="4"><img src="images/eoffice-cox.jpg" width="100%"  height="40%"></th>
</tr>
<!-- calling frame -->	
<tr>
    <td colspan="1" width="10%" align="center"><?php include("header.php");?></td>
	
</tr>
<tr>

<td colspan="3" width="90%" align="center" >
<tr><td>&nbsp;</td></tr>
<tr><td align="left">
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<?php
								echo 'Welcome: ' . $_SESSION['username'];
								?>
							<a href="cust_FnB_Login.php"><img src="images/logout3.gif" align="right"></a>
							</td>
</tr>
<tr><td>
<h2 align="center">LIST OF CUSTOMER</h2>

<form action="cust_FnB.php" method="post">
<table border=0 align=center class="imagetable" >
<tr><td>INFO SEARCH</td>
<td><input type="text" name="directory" />
<input type="submit" class="myButton"  value="SEARCH"/>&nbsp;
<!--input type="button" class="myButton"  value="INSERT"  onClick="window.location.href='cust_FnB_createCust.php'"-->&nbsp;
<!--<input type="button" class="myButton"  value="HOME"    onClick="window.location.href='index.php'">-->
<input type="hidden" name="cust_id" value="<?php echo $cust_id; ?>">
 </td>
</tr>
</table>
</form>
<br>

<!--hr /-->
<div align="right">
<?php
$rowsPerPage =20; 
				$pageNum = $_REQUEST['page']; 
				if(empty($pageNum))
						{
					$offset =0;
					$pageNum=1;
						}
				else
						{
					$offset = ($pageNum - 1) * $rowsPerPage;
						}	
					$result=mysql_query("SELECT * from tbl_dir_fnb_customer WHERE cust_name LIKE '%".$_POST[directory]."%' OR cust_company LIKE '%".$_POST[directory]."%' OR cust_position LIKE '%".$_POST[directory].		
						"%' OR cust_contact LIKE '%".$_POST[directory]."%' OR cust_email LIKE '%".$_POST[directory]. "%' ORDER BY cust_id ASC LIMIT $offset, $rowsPerPage");
		
		  			$i=$offset;
		  
echo "<center><span class=style16><table class=imagetable id=user>"; 
echo "<thead>";
echo"<tr align='center'><!--th>NO</th--><th>CUST.ID</th><th>NAME</th><th>COMPANY</th><th>POSITION</th><th>CONTACT</th><th>EMAIL</th><th>ADDRESS</th><th colspan=1>ACTION</th></tr>";
echo "</thead>";
echo "<tbody>";	 
while($row=mysql_fetch_array($result))
{
					 $cust_id = $row['cust_id']; 
					 $cust_salutation = $row['cust_salutation'];
		 		   $cust_name = $row['cust_name'];
			    $cust_company = $row['cust_company'];
		       $cust_position = $row['cust_position'];
				$cust_contact = $row['cust_contact'];
			      $cust_email = $row['cust_email'];
			   $cust_address1 = $row['cust_address1'];
			   $cust_address2 = $row['cust_address2'];
				$cust_address3 = $row['cust_address3'];
				$cust_address4 = $row['cust_address4'];
				$cust_postcode = $row['cust_postcode'];
				    $cust_city = $row['cust_city'];
				$state_name = $row['state_name'];
				//$staff_assign = $row['staff_assign'];
			$i++;
					echo"<tr>";
						//echo "<td align=center>".$i."</td>";
						echo "<td align=left >".$row['cust_id']."</td>";
						echo "<td align=left >".$row['cust_salutation']. "." .$row['cust_name']."</td>";
						echo "<td align=left >".$row['cust_company']."</td>";
						echo "<td align=left >".$row['cust_position']."</td>";
						echo "<td align=left >".$row['cust_contact']."</td>";
						echo "<td align=left >".$row['cust_email']."</td>";
						echo "<td align=center >".$row['cust_address1']."," . $row['cust_address2']. "," .$row['cust_address3']."," . $row['cust_address4']. "," .$row['cust_postcode']."," .$row['cust_city']. "," .$row['state_name']."</td>";
						//echo "<td align=center >".$row['staff_assign']."</td>";
						//echo "<td align=center >"."<a href=cust_FnB_update.php?cust_id=$cust_id>Update</a>"."</td>";
						//echo "<td align=center >"."<a href=cust_FnB_delete.php?cust_id=$cust_id>Delete</a>"."</td>";
						echo "<td align=center >"."<a href=cust_FnB_Quotation.php?cust_id=$cust_id>Quotation</a>"."</td>";
					echo"</tr>";
					}
					
					echo "</span></table>";
echo "</tbody>";
//mysql_close($con);

?>
  <tr><td>
  <div align="right"> <span class="style16"  >
    <?php
				$query1 = "SELECT COUNT(cust_id) AS numrows FROM tbl_dir_fnb_customer";
				$result1 = mysql_query($query1) or die('Error, query failed');
				$row1 = mysql_fetch_array($result1, MYSQL_ASSOC);
				$numrows = $row1['numrows'];
				$maxPage = ceil($numrows/$rowsPerPage);
				// print the link to access each page
				$self = $_SERVER['PHP_SELF'];
				$nav = '';
				for($page = 1; $page <= $maxPage; $page++){
				if ($page == $pageNum){
				$nav .= " $page ";}
				else{
				$nav .= " <a href=\"$self?page=$page\">$page</a> ";
					}
				}
				if ($pageNum > 1)
				{
					$page = $pageNum - 1;
					$color="#FFFFFF";
					$prev = " <a href=\"$self?page=$page\">[Previous]</a> ";
					$first = " <a href=\"$self?page=1\">[First]</a> ";
				}
					else{
					$prev = ' ';
					$first = ' ';
				}
					if ($pageNum < $maxPage)
				{
						$page = $pageNum + 1;
						$next = " <a href=\"$self?page=$page\">[Next]</a> ";
						$last = " <a href=\"$self?page=$maxPage\">[Last]</a> ";
				}
					else{
					$next = ' ';
					$last = ' ';
				}
		echo  $first . $prev . $nav . $next . $last;?>
  </span></div>
  </td>
  </tr>
  
</div>
</body>
<script type='text/javascript' src='tablesorter/jquery-latest.js'>
</script>
<script type='text/javascript' src='tablesorter/jquery.tablesorter.min.js'>
</script>


<script type='text/javascript'>
	$(document).ready(function() { 
		$("#user").tablesorter({ 
			//for example we want to disable the 
			//password column (5th column) from sorting
			//we will specify '4' since it was indexed
			//(count starts at '0')
			//and set its property to 'false'
			headers: { 
				8: {    
					sorter: false 
				}
			}
		}); 
	});
	
</script>
  </td></tr>
  
  </div>
  </td></tr>
<!-- row for footer -->	
<tr>
	<th align="center" colspan="4">
	<img src="images/footer-cox.jpg" width="100%" >
		
	</th>
</tr>

<!--- end for ruang kerja 80% -->
</table>

</td>

<td width="15%" bgcolor="#333333">&nbsp;</td>

</tr>

<!--- end for ruang kerja 100% -->
</table>

</body>
</html>